# -*- coding: utf-8 -*-
'''
Created on Mar 7, 2015

@author: ymh
'''
from __future__ import absolute_import

import os

from django.conf import settings

from celery import Celery

# set the default Django settings module for the 'celery' program.
os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'hdalab.settings')

app = Celery('hdalab')

# Using a string here means the worker will not have to
# pickle the object when using Windows.
app.config_from_object('django.conf:settings')
app.autodiscover_tasks(lambda: settings.INSTALLED_APPS)
